This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 433503 - torcs does not recognize a wheel (or joystick)
torcs does not recognize a wheel (or joystick)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: torcs (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 13:32 EST by Juhani Jaakola
Modified: 2009-09-12 11:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-12 11:10:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juhani Jaakola 2008-02-19 13:32:49 EST
Description of problem:

I have a USB steering wheel (Logitech Inc. WingMan Formula Force GP) which works
with jstest (jstest /dev/input/js0). I can "fly" with it in GL-117.

But I can't make TORCS recognize it! I try to follow instructions at
http://torcs.sourceforge.net/index.php?name=Sections&op=viewarticle&artid=10&page=2
but nothing happens when I turn the wheel or press the buttons. There is no
[Calibrate] button on the screen.

TORCS does not recognize my Attack 3 joystick either.

Note that TORCS uses plib, and my plib is from fc6. I upgraded using "yum
upgrade" from fc6 to fc7.

Version-Release number of selected component (if applicable):

torcs-1.3.0-1.fc7
plib-1.8.4-8.fc6         <-- NOTE: THIS IS FROM FC6!!!
kernel-2.6.23.15-80.fc7

How reproducible: Always.

Steps to Reproduce:
1. Follow
http://torcs.sourceforge.net/index.php?name=Sections&op=viewarticle&artid=10&page=2
2.
3.
  
Actual results: TORCS does not react to wheel movements

Expected results: Wheel axises and buttons should be attached to controls

Additional info:
Comment 1 Juhani Jaakola 2008-02-22 11:49:25 EST
plib-1.8.4-8.fc6 is in the standard fc7 repository, so "yum upgrade" did not
left it on my hard disk from the old version. plib-1.8.4-8.fc6 provides what
torcs requires, so I would get in any case with fc7 regardless of how I install
torcs - unless some other package provides what torcs requires...
Comment 2 Matthias Saou 2008-02-24 08:38:22 EST
Could you maybe try with Fedora 8? It has a newer rebuild of plib (but the same
version), so maybe something would be different. I've checked the torcs build
time configure options, and see nothing special about joysticks.
Comment 3 Juhani Jaakola 2008-02-27 16:17:56 EST
I had a chance to try a friend's Fedora 8. I used Attack 3 joystick - fstest was
OK but TORCS did not recognize it at all. So exactly the same behaviour as with
Fedora 7. Please fix this for Fedora 7, that's what I'm using.
Comment 4 Bug Zapper 2008-05-14 11:20:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Juhani Jaakola 2008-10-19 05:38:12 EDT
The bug still exists with these versions:
torcs-1.3.0-6.fc9.i386
plib-1.8.4-10.fc9.i386
Comment 6 Matthias Saou 2009-04-12 12:02:28 EDT
I've just updated torcs to 1.3.1 in devel. Could you maybe try that (wait for Fedora 11 to be released if you can't easily use the devel packages as-is or install a beta Fedora release)?
Comment 7 Juhani Jaakola 2009-04-22 05:17:32 EDT
I started Fedora 11 Beta Live CD and installed torcs. I got these versions:

  freealut.i586 0:1.1.0-8.fc11
  freeglut.i586 0:2.4.0-16.fc11
  openal.i586 0:0.0.9-0.17.20060204cvs.fc11
  opengl-games-utils.noarch 0:0.1-8.fc11
  plib.i586 0:1.8.5-2.fc11
  torcs-data.noarch 0:1.3.1-1
  torcs-data-cars-extra.noarch 0:1.3.1-1
  torcs-data-tracks-road.noarch 0:1.3.1-1

Now in "Control Configuration" I can select controls from my wheel and assign them to Torcs functions.

I can even drive, but with this Live CD I do not have any graphics acceleration, so playing is impossible. But anyway the wheel works!

Please publish this for Fedora 10!!!!
Comment 8 Matthias Saou 2009-09-12 11:10:49 EDT
Because of the huge download it would represent, I really prefer not pushing this update for users who don't really need it. Since the updated torcs in Fedora 11 fixed the problem for you, I'll be closing this bug report now.
Thanks for your patience.

Note You need to log in before you can comment on or make changes to this bug.